- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DualVarValue Class Reference

The DualVarValue Class. More...

`#include <OSResult.h>`

List of all members.

## Public Member Functions
| DualVarValue ()
| Default constructor.
| ~DualVarValue ()
| Class destructor.
bool | IsEqual (DualVarValue *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| DualVarValue ()
| Default constructor.
| ~DualVarValue ()
| Class destructor.
## Public Attributes
int | idx
| idx is the index on a constraint
double | value
| value of dual variable on the constraint indexed by idx if the constraint
double | lbValue
| lbValue is the value of dual variable on the constraint indexed by idx if the constraint is at its lower bound
double | ubValue
| ubValue is the value of dual variable on the constraint indexed by idx if the constraint is at its upper bound

## Detailed Description

The DualVarValue Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the dual value of a constraint

Definition at line 1527 of file OSResult.h.

## Constructor & Destructor Documentation

DualVarValue::DualVarValue | ( |  | ) |

Default constructor.

Definition at line 708 of file OSResult.cpp.

DualVarValue::~DualVarValue | ( |  | ) |

Class destructor.

Definition at line 720 of file OSResult.cpp.

DualVarValue::DualVarValue | ( |  | ) |

Default constructor.

DualVarValue::~DualVarValue | ( |  | ) |

Class destructor.

## Member Function Documentation

bool DualVarValue::IsEqual | ( | DualVarValue * | that | ) |

A function to check for the equality of two objects.

Definition at line 6856 of file OSResult.cpp.

bool DualVarValue::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8155 of file OSResult.cpp.

Referenced by DualVariableValues::setRandom().

## Member Data Documentation

int DualVarValue::idx

idx is the index on a constraint

Definition at line 1531 of file OSResult.h.

Referenced by OSResult::setConstraintValues(), OSResult::setDualVariableValues(), and OSrL2Gams::writeSolution().

double DualVarValue::value

value of dual variable on the constraint indexed by idx if the constraint

Definition at line 1536 of file OSResult.h.

Referenced by OSResult::setConstraintValues(), OSResult::setDualVariableValues(), and OSrL2Gams::writeSolution().

double DualVarValue::lbValue

lbValue is the value of dual variable on the constraint indexed by idx if the constraint is at its lower bound

Definition at line 922 of file OSResult.h.

Referenced by OSResult::setDualVariableValues().

double DualVarValue::ubValue

ubValue is the value of dual variable on the constraint indexed by idx if the constraint is at its upper bound

Definition at line 929 of file OSResult.h.

Referenced by OSResult::setDualVariableValues().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp